%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%           Toril Bye Rinnan
%           June, 2012
%           
%           Projection algorithm used for the nonlinear observer
%
%           Input to the fuction is the estimated gyro bias
%           and the negative value of k_I multiplied
%           with the injection term
%           
%           Output is the next estimated bias value
%           
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [bg] = proj(b_g_hat,neg_ksigma)

x = (norm(b_g_hat))^2;
k = neg_ksigma;
wm = 1;
if (x > wm)
    wm = x;
end

P_grad = b_g_hat;

if (x<wm) || (x==wm && P_grad'*k<=0)
    p = k;
else
    p = k -(k*(P_grad'*P_grad))*((norm(P_grad)^2))^(-1);
end
bg = p;