%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%   Kristian L. Jenssen & Kaan H. Yabar
%   Engineering Cybernetics - April.2011 
%
%   CONVERTING QUATERNIONS TO EULER ANGELS
%   Input: 4x1 or 1x4 vector with quaternions
%   Output: 3x1 vector with euler angles
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function angle = qua_to_euler(q)
    q1=q(1);
    q2=q(2);
    q3=q(3);
    q4=q(4);
    angle1=[atan2(2*(q4*q1+q2*q3),1-2*(q1^2+q2^2));asin(2*(q4*q2-q3*q1));atan2(2*(q4*q3+q1*q2),1-2*(q2^2+q3^2))] ;
        
angle=real(angle1);